package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 电表收益数据
 */
public class AmmeterRevenueStatisListVo {


    /** 类别 */
    private String dataTime;

    /** 是否工作日：1-工作日 0-节假日 */
    private Integer isWorkday;

    /** 日期类型 */
    private String dayType;

    /** 天气情况 */
    private String weatherDesc;

    /** 组合有功-总 */
    private BigDecimal activeTotalPrice = BigDecimal.ZERO;

    /** 组合有功-尖 */
    private BigDecimal activePeakPrice = BigDecimal.ZERO;

    /** 组合有功-峰 */
    private BigDecimal activeHighPrice = BigDecimal.ZERO;

    /** 组合有功-平 */
    private BigDecimal activeFlatPrice = BigDecimal.ZERO;

    /** 组合有功-谷 */
    private BigDecimal activeValleyPrice = BigDecimal.ZERO;

    /** 组合无功-总 */
    private BigDecimal reActiveTotalPrice = BigDecimal.ZERO;

    /** 组合无功-尖 */
    private BigDecimal reActivePeakPrice = BigDecimal.ZERO;

    /** 组合无功-峰 */
    private BigDecimal reActiveHighPrice = BigDecimal.ZERO;

    /** 组合无功-平 */
    private BigDecimal reActiveFlatPrice = BigDecimal.ZERO;

    /** 组合无功-谷 */
    private BigDecimal reActiveValleyPrice = BigDecimal.ZERO;

    /** 实际收益 */
    private BigDecimal actualRevenue = BigDecimal.ZERO;

    private String remark;

    public String getDataTime() {
        return dataTime;
    }

    public void setDataTime(String dataTime) {
        this.dataTime = dataTime;
    }

    public Integer getIsWorkday() {
        return isWorkday;
    }

    public void setIsWorkday(Integer isWorkday) {
        this.isWorkday = isWorkday;
    }

    public String getDayType() {
        return dayType;
    }

    public void setDayType(String dayType) {
        this.dayType = dayType;
    }

    public String getWeatherDesc() {
        return weatherDesc;
    }

    public void setWeatherDesc(String weatherDesc) {
        this.weatherDesc = weatherDesc;
    }

    public BigDecimal getActiveTotalPrice() {
        return activeTotalPrice;
    }

    public void setActiveTotalPrice(BigDecimal activeTotalPrice) {
        this.activeTotalPrice = activeTotalPrice;
    }

    public BigDecimal getActivePeakPrice() {
        return activePeakPrice;
    }

    public void setActivePeakPrice(BigDecimal activePeakPrice) {
        this.activePeakPrice = activePeakPrice;
    }

    public BigDecimal getActiveHighPrice() {
        return activeHighPrice;
    }

    public void setActiveHighPrice(BigDecimal activeHighPrice) {
        this.activeHighPrice = activeHighPrice;
    }

    public BigDecimal getActiveFlatPrice() {
        return activeFlatPrice;
    }

    public void setActiveFlatPrice(BigDecimal activeFlatPrice) {
        this.activeFlatPrice = activeFlatPrice;
    }

    public BigDecimal getActiveValleyPrice() {
        return activeValleyPrice;
    }

    public void setActiveValleyPrice(BigDecimal activeValleyPrice) {
        this.activeValleyPrice = activeValleyPrice;
    }

    public BigDecimal getReActiveTotalPrice() {
        return reActiveTotalPrice;
    }

    public void setReActiveTotalPrice(BigDecimal reActiveTotalPrice) {
        this.reActiveTotalPrice = reActiveTotalPrice;
    }

    public BigDecimal getReActivePeakPrice() {
        return reActivePeakPrice;
    }

    public void setReActivePeakPrice(BigDecimal reActivePeakPrice) {
        this.reActivePeakPrice = reActivePeakPrice;
    }

    public BigDecimal getReActiveHighPrice() {
        return reActiveHighPrice;
    }

    public void setReActiveHighPrice(BigDecimal reActiveHighPrice) {
        this.reActiveHighPrice = reActiveHighPrice;
    }

    public BigDecimal getReActiveFlatPrice() {
        return reActiveFlatPrice;
    }

    public void setReActiveFlatPrice(BigDecimal reActiveFlatPrice) {
        this.reActiveFlatPrice = reActiveFlatPrice;
    }

    public BigDecimal getReActiveValleyPrice() {
        return reActiveValleyPrice;
    }

    public void setReActiveValleyPrice(BigDecimal reActiveValleyPrice) {
        this.reActiveValleyPrice = reActiveValleyPrice;
    }

    public BigDecimal getActualRevenue() {
        return actualRevenue;
    }

    public void setActualRevenue(BigDecimal actualRevenue) {
        this.actualRevenue = actualRevenue;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
